package com.anbara.medicaloffice.exceptions;

public enum ErrorCodes {
    MEDICAMENT_NOT_FOUND(1000),
    MEDICAMENT_IS_INVALID(1001),

    // TODO complte list
    VISITOR_APPOINTMENT_NOT_FOUND(2000),
    VISITOR_APPOINTMENT_INVALID(2001),
    PATIENT_APPOINTMENT_NOT_FOUND(3000),
    PATIENT_APPOINTMENT_INVALID(3001),
    USER_NOT_FOUND(4000),
    USER_INVALID(4001),
    ROLE_NOT_FOUND(41000),
    ROLE_INVALID(4101),
    CONSULTATION_NOT_FOUND(5000),
    CONSULTATION_INVALID(5001),
    INFOS_MEDICAL_OFFICE_NOT_FOUND(6000),
    INFOS_MEDICAL_OFFICE_INVALID(6001),
    PATIENT_NOT_FOUND(7000),
    PATIENT_INVALID(7001),
    PRESCRIPTION_NOT_FOUND(8000),
    PRESCRIPTION_INVALID(8001),
    CERTIFICATE_NOT_FOUND(9000),
    CERTIFICATE_INVALID(9001);

    private final int code;

    ErrorCodes(int code) {
        this.code = code;
    }

    public int getCode() {
        return code;
    }
}
